package be.iminds.ilabt.jfed.rspec.parser;

import javax.annotation.Nullable;
import javax.xml.namespace.QName;
import javax.xml.stream.Location;
import javax.xml.stream.XMLEventWriter;
import javax.xml.stream.XMLStreamException;

/**
 * ExtraXml
 */
public interface ExtraXml {
    void writeEvents(XMLEventWriter w) throws XMLStreamException;
    @Nullable
    QName getStartElementName();
    Location getLocation();
}
